Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.filter
Class LoggingFilter

    java.lang.Object
      org.apache.mina.common.IoFilterAdapter
          org.apache.mina.filter.LoggingFilter

All Implemented Interfaces:
  IoFilter

    public class LoggingFilter

extends IoFilterAdapter

Logs all MINA protocol events to `Logger`.

Version:
  $Rev: 587373 $, $Date: 2007-10-23 11:54:05 +0900 (Tue, 23 Oct 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)
See Also:
  `SessionLog`

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.mina.common.IoFilter
`IoFilter.NextFilter, IoFilter.WriteRequest`

Field Summary
`static String` | `LOGGER` Session attribute key: `Logger`
`static String` | `PREFIX` Session attribute key: prefix string

Constructor Summary
`LoggingFilter()` Creates a new instance.

Method Summary
`void` | `exceptionCaught(IoFilter.NextFilter nextFilter, IoSession session, Throwable cause)` Filters `IoHandler.exceptionCaught(IoSession,Throwable)` event.
`void` | `filterClose(IoFilter.NextFilter nextFilter, IoSession session)` Filters `IoSession.close()` method invocation.
`void` | `filterWrite(IoFilter.NextFilter nextFilter, IoSession session, IoFilter.WriteRequest writeRequest)` Filters `IoSession.write(Object)` method invocation.
`void` | `messageReceived(IoFilter.NextFilter nextFilter, IoSession session, Object message)` Filters `IoHandler.messageReceived(IoSession,Object)` event.
`void` | `messageSent(IoFilter.NextFilter nextFilter, IoSession session, Object message)` Filters `IoHandler.messageSent(IoSession,Object)` event.
`void` | `sessionClosed(IoFilter.NextFilter nextFilter, IoSession session)` Filters `IoHandler.sessionClosed(IoSession)` event.
`void` | `sessionCreated(IoFilter.NextFilter nextFilter, IoSession session)` Filters `IoHandler.sessionCreated(IoSession)` event.
`void` | `sessionIdle(IoFilter.NextFilter nextFilter, IoSession session, IdleStatus status)` Filters `IoHandler.sessionIdle(IoSession,IdleStatus)` event.
`void` | `sessionOpened(IoFilter.NextFilter nextFilter, IoSession session)` Filters `IoHandler.sessionOpened(IoSession)` event.

Methods inherited from class org.apache.mina.common.IoFilterAdapter
`destroy, init, onPostAdd, onPostRemove, onPreAdd, onPreRemove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PREFIX

    public static final String PREFIX

  Session attribute key: prefix string

### LOGGER

    public static final String LOGGER

  Session attribute key: `Logger`

Constructor Detail

### LoggingFilter

    public LoggingFilter()

  Creates a new instance.

Method Detail

### sessionCreated

    public void sessionCreated(IoFilter.NextFilter nextFilter,
                               IoSession session)

  Description copied from interface: `IoFilter`
  Filters `IoHandler.sessionCreated(IoSession)` event.

  Specified by:
    `sessionCreated` in interface `IoFilter`
  Overrides:
    `sessionCreated` in class `IoFilterAdapter`

### sessionOpened

    public void sessionOpened(IoFilter.NextFilter nextFilter,
                              IoSession session)

  Description copied from interface: `IoFilter`
  Filters `IoHandler.sessionOpened(IoSession)` event.

  Specified by:
    `sessionOpened` in interface `IoFilter`
  Overrides:
    `sessionOpened` in class `IoFilterAdapter`

### sessionClosed

    public void sessionClosed(IoFilter.NextFilter nextFilter,
                              IoSession session)

  Description copied from interface: `IoFilter`
  Filters `IoHandler.sessionClosed(IoSession)` event.

  Specified by:
    `sessionClosed` in interface `IoFilter`
  Overrides:
    `sessionClosed` in class `IoFilterAdapter`

### sessionIdle

    public void sessionIdle(IoFilter.NextFilter nextFilter,
                            IoSession session,
                            IdleStatus status)

  Description copied from interface: `IoFilter`
  Filters `IoHandler.sessionIdle(IoSession,IdleStatus)` event.

  Specified by:
    `sessionIdle` in interface `IoFilter`
  Overrides:
    `sessionIdle` in class `IoFilterAdapter`

### exceptionCaught

    public void exceptionCaught(IoFilter.NextFilter nextFilter,
                                IoSession session,
                                Throwable cause)

  Description copied from interface: `IoFilter`
  Filters `IoHandler.exceptionCaught(IoSession,Throwable)` event.

  Specified by:
    `exceptionCaught` in interface `IoFilter`
  Overrides:
    `exceptionCaught` in class `IoFilterAdapter`

### messageReceived

    public void messageReceived(IoFilter.NextFilter nextFilter,
                                IoSession session,
                                Object message)

  Description copied from interface: `IoFilter`
  Filters `IoHandler.messageReceived(IoSession,Object)` event.

  Specified by:
    `messageReceived` in interface `IoFilter`
  Overrides:
    `messageReceived` in class `IoFilterAdapter`

### messageSent

    public void messageSent(IoFilter.NextFilter nextFilter,
                            IoSession session,
                            Object message)

  Description copied from interface: `IoFilter`
  Filters `IoHandler.messageSent(IoSession,Object)` event.

  Specified by:
    `messageSent` in interface `IoFilter`
  Overrides:
    `messageSent` in class `IoFilterAdapter`

### filterWrite

    public void filterWrite(IoFilter.NextFilter nextFilter,
                            IoSession session,
                            IoFilter.WriteRequest writeRequest)

  Description copied from interface: `IoFilter`
  Filters `IoSession.write(Object)` method invocation.

  Specified by:
    `filterWrite` in interface `IoFilter`
  Overrides:
    `filterWrite` in class `IoFilterAdapter`

### filterClose

    public void filterClose(IoFilter.NextFilter nextFilter,
                            IoSession session)
                     throws Exception

  Description copied from interface: `IoFilter`
  Filters `IoSession.close()` method invocation.

  Specified by:
    `filterClose` in interface `IoFilter`
  Overrides:
    `filterClose` in class `IoFilterAdapter`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.